xn::ModuleRecorder Class Referenceabstract

`#include <XnModuleCppInterface.h>`

Inheritance diagram for xn::ModuleRecorder:
[legend]

## Public Member Functions

virtual | ~ModuleRecorder ()
virtual XnStatus | SetOutputStream (void *pCookie, XnRecorderOutputStreamInterface *pStream)=0
Public Member Functions inherited from xn::ModuleProductionNode
virtual | ~ModuleProductionNode ()
virtual XnBool | IsCapabilitySupported (const XnChar *)
virtual XnStatus | SetIntProperty (const XnChar *, XnUInt64)
virtual XnStatus | SetRealProperty (const XnChar *, XnDouble)
virtual XnStatus | SetStringProperty (const XnChar *, const XnChar *)
virtual XnStatus | SetGeneralProperty (const XnChar *, XnUInt32, const void *)
virtual XnStatus | GetIntProperty (const XnChar *, XnUInt64 &) const
virtual XnStatus | GetRealProperty (const XnChar *, XnDouble &) const
virtual XnStatus | GetStringProperty (const XnChar *, XnChar *, XnUInt32) const
virtual XnStatus | GetGeneralProperty (const XnChar *, XnUInt32, void *) const
virtual ModuleExtendedSerializationInterface * | GetExtendedSerializationInterface ()
virtual ModuleLockAwareInterface * | GetLockAwareInterface ()
virtual ModuleErrorStateInterface * | GetErrorStateInterface ()
virtual ModuleGeneralIntInterface * | GetGeneralIntInterface (const XnChar *)
Public Member Functions inherited from xn::ModuleNodeNotifications
virtual | ~ModuleNodeNotifications ()
virtual XnStatus | OnNodeAdded (const XnChar *strNodeName, XnProductionNodeType type, XnCodecID compression)=0
virtual XnStatus | OnNodeRemoved (const XnChar *strNodeName)=0
virtual XnStatus | OnNodeIntPropChanged (const XnChar *strNodeName, const XnChar *strPropName, XnUInt64 nValue)=0
virtual XnStatus | OnNodeRealPropChanged (const XnChar *strNodeName, const XnChar *strPropName, XnDouble dValue)=0
virtual XnStatus | OnNodeStringPropChanged (const XnChar *strNodeName, const XnChar *strPropName, const XnChar *strValue)=0
virtual XnStatus | OnNodeStateReady (const XnChar *strNodeName)=0
virtual XnStatus | OnNodeGeneralPropChanged (const XnChar *strNodeName, const XnChar *strPropName, XnUInt32 nBufferSize, const void *pBuffer)=0
virtual XnStatus | OnNodeNewData (const XnChar *strNodeName, XnUInt64 nTimeStamp, XnUInt32 nFrame, const void *pData, XnUInt32 nSize)=0

## Constructor & Destructor Documentation

## ~ModuleRecorder()

virtual xn::ModuleRecorder::~ModuleRecorder | ( |  | ) |

inline virtual

## Member Function Documentation

## SetOutputStream()

virtual XnStatus xn::ModuleRecorder::SetOutputStream | ( | void * | pCookie,
|  | XnRecorderOutputStreamInterface * | pStream )

pure virtual

The documentation for this class was generated from the following file:

- XnModuleCppInterface.h